summaryrefslogtreecommitdiff
path: root/homebrew/mplayer/patches.sh
diff options
context:
space:
mode:
Diffstat (limited to 'homebrew/mplayer/patches.sh')
-rwxr-xr-xhomebrew/mplayer/patches.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/homebrew/mplayer/patches.sh b/homebrew/mplayer/patches.sh
new file mode 100755
index 000000000..c118342a7
--- /dev/null
+++ b/homebrew/mplayer/patches.sh
@@ -0,0 +1,16 @@
+echo 'Creating brew-patch.diff'
+cat << EOF >> brew-patch.diff
+diff --git a/configure b/configure
+index addc461..3b871aa 100755
+--- a/configure
++++ b/configure
+@@ -1517,8 +1517,6 @@ if test -e ffmpeg/mp_auto_pull ; then
+ fi
+
+ if test "$ffmpeg_a" != "no" && ! test -e ffmpeg ; then
+- echo "No FFmpeg checkout, press enter to download one with git or CTRL+C to abort"
+- read tmp
+ if ! git clone -b $FFBRANCH --depth 1 git://source.ffmpeg.org/ffmpeg.git ffmpeg ; then
+ rm -rf ffmpeg
+ echo "Failed to get a FFmpeg checkout"
+EOF